GROMACS - Bug #2634

rerun function returns fault error on trajectory which passed gmx check
09/04/2018 05:15 PM - zhiyi wu

Status: Closed

Priority: Low

Assignee:

Category: mdrun

Target version: 2018.4

Affected version - Difficulty: uncategorized
extra info:

Affected version: 2018.2

Description

| tried to run mdrun rerun on a trajectory which has been generated previously, using gmx mdrun -deffnm prod -rerun prod.trr.
And | have encountered:

Fatal error:

Number of atoms in trajectory (-1) does not match the run input file (91497)

| have used gmx check to check the status of the trajectory, which seems perfectly fine.
gmx check -f prod.trr

Checking file prod.trr

trr version: GMX_trn_file (single precision)

Reading frame 0time 0.000

1. Atoms 91497

Last frame 2time 4.000
ltem #frames Timestep (ps)
Step 3 2

Time 3 2

Lambda 3 2

Coords 3 2

Velocities 1

Forces 1

Box 3 2

The trajectory can be reproduced by running prod.tpr which is a 5ps simulation.
gmx mdrun -deffnm prod

Associated revisions

Revision 33fa9d43 - 11/08/2018 10:53 PM - Paul Bauer

Give error when rerun with identical file names
Fixes #2634

Change-Id: 1f3985274b3e74910c9ddefbddcfb52d1b01a3fba

History

#1 - 09/05/2018 01:36 AM - Mark Abraham
- Category set to mdrun

- Status changed from New to Accepted

- Priority changed from High to Low

- Target version set to 2018.4

Thanks for the report.

Using gmx mdrun -deffnm prod -rerun prod.trr causes the output trajectory to be named prod.trr, which is apparently interfering with reading the rerun
file of the same name. gmx mdrun -s prod -rerun prod.trr works, and is how | suggest Zhiyi proceeds.

mdrun should refuse to start the rerun if either trajectory output filename matches the rerun input filename.
#2 - 11/08/2018 04:20 PM - Gerrit Code Review Bot

Gerrit received a related patchset '1' for Issue #2634.

Uploader: Paul Bauer (paul.bauer.g@gmail.com)

Change-Id: gromacs~release-2018~1f3985274b3e74910c9ddefbddcfb52d1b01a3fba
Gerrit URL: https://gerrit.gromacs.org/8673

#3 - 11/08/2018 11:00 PM - Paul Bauer

- Status changed from Accepted to Resolved

Applied in changeset 33fa9d432a807f44b4f4e7d27905a34d4e697826.

#4 - 11/09/2018 06:11 AM - Paul Bauer

- Status changed from Resolved to Closed

Files

prod.tpr 3.99 MB 09/04/2018 zhiyi wu

prod.trr 5.24 MB 09/04/2018 zhiyi wu
